CC=cl
CXX=cl /TP

CP=copy

.SUFFIXES: .exe .obj .d_obj .s_obj .dd_obj .sd_obj .cc .c .dll .lib .ut .uc

DEFINES_COMMON=-D_WIN32_WINNT=0x0400
DEFINES_LIB=
DEFINES_DLL=
DEFINES_LIB_DEBUG=
DEFINED_DLL_DEBUG=

CFLAGS_COMMON=/I../include /nologo $(DEFINES_COMMON)
CFLAGS_DLL=/MD $(DEFINES_DLL)
CFLAGS_LIB=/MD $(DEFINES_LIB)
CFLAGS_DLL_DEBUG=/MDd /Zi $(DEFINES_DLL_DEBUG)
CFLAGS_LIB_DEBUG=/MDd /Zi $(DEFINES_LIB_DEBUG)

CXXFLAGS_COMMON=/I../include /I../pcre /GX /GR /nologo $(DEFINES_COMMON)
CXXFLAGS_DLL=/MD /Zi $(DEFINES_DLL)
CXXFLAGS_LIB=/MD /Zi $(DEFINES_LIB)
CXXFLAGS_DLL_DEBUG=/MDd /Zi $(DEFINES_DLL_DEBUG)
CXXFLAGS_LIB_DEBUG=/MDd /Zi $(DEFINES_LIB_DEBUG)

LDFLAGS_COMMON=/nologo
LDFLAGS_DLL=
LDFLAGS_LIB=
LDFLAGS_DLL_DEBUG=/DEBUG
LDFLAGS_LIB_DEBUG=

.c.d_obj:
   @$(CC) $(CFLAGS_COMMON) $(CXXFLAGS_DLL) /c /Fo$@ $<

.c.s_obj:
   @$(CC) $(CFLAGS_COMMON) $(CXXFLAGS_LIB) /c /Fo$@ $<

.c.dd_obj:
   @$(CC) $(CFLAGS_COMMON) $(CXXFLAGS_DLL_DEBUG) /c /Fo$@ $<

.c.sd_obj:
   @$(CC) $(CFLAGS_COMMON) $(CXXFLAGS_LIB_DEBUG) /c /Fo$@ $<

.cc.d_obj:
   @$(CXX) $(CXXFLAGS_COMMON) $(CXXFLAGS_DLL) /c /Fo$@ $<

.cc.s_obj:
   @$(CXX) $(CXXFLAGS_COMMON) $(CXXFLAGS_LIB) /c /Fo$@ $<

.cc.dd_obj:
   @$(CXX) $(CXXFLAGS_COMMON) $(CXXFLAGS_DLL_DEBUG) /c /Fo$@ $<

.cc.sd_obj:
   @$(CXX) $(CXXFLAGS_COMMON) $(CXXFLAGS_LIB_DEBUG) /c /Fo$@ $<

