#ifndef _LCL_CONFIG_MODULE_TCL_H_
#define _LCL_CONFIG_MODULE_TCL_H_

#include <lcl/lconfmodule.h>

class LCL_EXPORT LConfigReader_TCL : public LConfigFileReader {
 protected:
  LHash < LString, LTable<LString> > m_reference;

 public:
  LConfigReader_TCL ( LHash<LString, LTable<LString> > const & ref, LIStream & );
  LConfigReader_TCL ( LHash<LString, LTable<LString> > const & ref, LString const & fname );
  
  virtual ~LConfigReader_TCL ();
  virtual void read_stream ( LIStream & instream, LConfigSystem & config ) const;
};

class LCL_EXPORT LConfigWriter_TCL : public LConfigFileWriter {
 protected:
  LHash < LString, LTable<LString> > m_reference;

 public:
  LConfigWriter_TCL ( LHash < LString, LTable<LString> > const & ref, LOStream & );
  LConfigWriter_TCL ( LHash < LString, LTable<LString> > const & ref, LString const & fname, int oa = LFDManager::write | LFDManager::truncate | LFDManager::create , int om = LFDManager::all_r  | LFDManager::user_w );

  virtual ~LConfigWriter_TCL ();
  virtual void write_stream ( LOStream  & stream, LConfigSystem & config ) const;
};


#endif
