#ifndef _LDBSYSTEM_PLUGIN_H_
#define _LDBSYSTEM_PLUGIN_H_

class LDBDriver_PlugIn;

#include <lcl.h>
#include <lcl/ldbsystem.h>
#include <lcl/lplugin.h>
#include <lcl/lvcs.h>

/*!
 * \class LDBDriver_PlugIn
 * \brief Base class for all LDBSystem driver plug ins
 * \author Jens Reimann <ctron@dentrassi.de>
 */

class LCL_EXPORT LDBDriver_PlugIn : public LPlugIn<LDBDriver,2> {
  LVCS_DECLARE;
 protected:
 public:
  LDBDriver_PlugIn ( LString const & fname );
  virtual ~LDBDriver_PlugIn ();
};

#endif
