#ifndef _LINTERPRETER_PLUGIN_H_
#define _LINTERPRETER_PLUGIN_H_

#include <lcl/lplugin.h>
#include <lcl/linterpreter.h>

/*!
 * \ingroup Scripting
 */

class LInterpreter_PlugIn_Factory {
 protected:
 public:
  virtual void registerAll ( LInterpreter & inter ) = 0;
};

/*!
 * \ingroup Scripting
 */

class LCL_EXPORT LInterpreter_PlugIn : public LPlugIn < LInterpreter_PlugIn_Factory, 7 > {
 protected:
 public:
  LInterpreter_PlugIn ( LString const & fname );

  static void loadPlugIns ( LInterpreter & inter );
};

#endif
