#ifndef _L_OBJECT_H_
#define _L_OBJECT_H_

#include <lcl.h>

#include <lcl/lbaseobject.h>

/*!
 * \class LObject
 * \brief Base class for all LCL objects
 * \author Jens Reimann <ctron@dentrassi.de>
 * \version 0.2
 * \date 2002-04-03
 * \bug Deriving all classes from one is silly :) (rikkus)
 * \note The parent object handling functionality has been removed from 0.1 to 0.2
 * \todo Implement a auto emitter disconnector for this base object 
 *
 */
class LCL_EXPORT LObject : public LBaseObject {
 protected:

 public:
  LObject ();
  virtual ~LObject();
};

#endif
