/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

/* LCL - The Linux Class Library
 * Copyright (C) 1998-2002 Jens Reimann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _LCL_POINT_H_
#define _LCL_POINT_H_

#include <lcl.h>

class LCL_EXPORT LPoint {
protected:
  lint32 m_x, m_y;

public:
  LPoint ();
  LPoint ( LPoint const & p1 );
  LPoint ( lint32 x, lint32 y );
  LPoint &  operator = ( LPoint const & p1 );
  bool operator == ( LPoint const & p1 );
  lint32 x () const;
  lint32 y () const;
  void x ( lint32 x );
  void y ( lint32 y );
  void set ( lint32 x, lint32 y );
};

#endif
