/* ****************************************************************************
   |      File: lsignal.h
   |      Contains: class definition for LSignal
   |      Created: 28.02.1998
   |      Last Changed: 28.02.1998
   |      Version: 0.0
   |         
   |      ToDo: + just started
   |
   ************************************************************************* */

/* ====>> See also the ChangeLog in lsignal.cc <<==== */

#ifndef _L_SIGNAL_H_
#define _L_SIGNAL_H_

#include <iostream.h>

#include <lcl.h>

#define START_LSIGNAL(MySignal) \
  class MySignal : public LSignal { \
  public: \
    MySignal(int signum) : LSignal (signum) {}; \
    virtual process ( int signal ) {

#define END_LSIGNAL\
    } };

class LCL_EXPORT LSignal {

 public:
  int signum;
  int remove;

  LSignal(int signal);

  virtual void process ( int signal );

  void removeMe() {remove=TRUE;};

  virtual ~LSignal ();

};

#endif
