/* ****************************************************************************
   |      File: lurl.h
   |      Contains: class definition for LURL
   |      Created: 03.05.1998
   |      Last Changed: 24.05.1998
   |      Version: 0.0
   |         
   |      ToDo: + just started
   |
   ************************************************************************* */

/* ====>> See also the ChangeLog in lurl.cc <<==== */

/*
 *  This class provides serveral functions to use with URLs
 */

#ifndef _L_URL_H_
#define _L_URL_H_

#include <lcl.h>
#include <lcl/lobject.h>
#include <lcl/lstring.h>

class LCL_EXPORT LURL : public LObject {
 protected:

  bool valid;

 public:

  LString proto, host, path, user, query;
  unsigned short port;

  LURL ();
  LURL ( LString const & );

};

#endif
