#include <lcl/lcollection.h>

void invalidateFn ( void * ptr )
{
  LCursor * cursor = (LCursor*)ptr;
  cursor->invalidate ();
}

void obsoleteFn ( void * ptr )
{
  LCursor * cursor = (LCursor*)ptr;
  cursor->obsolete ();
}

void LBaseCollection::addCursor ( LCursor * cursor )
{
  cursorList.append ( cursor );
}

void LBaseCollection::removeCursor ( LCursor * cursor )
{
  cursorList.remove ( cursor );
}

void LBaseCollection::invalidate ( )
{
  cursorList.forEach ( invalidateFn );
}

void LBaseCollection::obsolete ( )
{
  cursorList.forEach ( obsoleteFn );
}
