/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#include <lcl.h>

#include "lcl/lcl_test.h"

LCLTestInfo::LCLTestInfo () :
  allTests ( 0 ),
  okTests ( 0 )
{
}

void LCLTestInfo::addResult ( bool success )
{
  allTests++;
  if ( success )
    okTests++;
}

void LCLTestInfo::addSuccess ( void )
{
  addResult ( true );
}

void LCLTestInfo::addFailure ( void )
{
  addResult ( false );
}

void LCLTestInfo::dumpResults ( void )
{
  NAMESPACE_STD(cout) << "Dump Test Results:" << NAMESPACE_STD(endl);
  NAMESPACE_STD(cout) << "------------------------" << NAMESPACE_STD(endl);
  NAMESPACE_STD(cout) << " All Tests: " << allTests << NAMESPACE_STD(endl);
  NAMESPACE_STD(cout) << " Succeeded: " << okTests << NAMESPACE_STD(endl);
  NAMESPACE_STD(cout) << " Failed: " << allTests-okTests << NAMESPACE_STD(endl);
  NAMESPACE_STD(cout) << "------------------------" << NAMESPACE_STD(endl);
}
