all: libpcre.a

SRCS= \
	get.c \
	study.c \
	pcre.c \
	maketables.c

dftables.c get.c maketables.c pcre.c study.c: internal.h

pcre.c: chartables.c

internal.h: config.h

config.h:
	./configure

dftables.o: dftables.c

dftables: dftables.o
	$(CC) $^ -o dftables

chartables.c: dftables
	./dftables > chartables.c

OBJS=$(SRCS:.c=.o)

DEFS=

INCLS=-I.

CPPFLAGS=$(DEFS) $(INCLS)

libpcre.a: $(OBJS)
	ar rc libpcre.a $(OBJS)
