/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#ifndef _LCOND_VAR_H_
#define _LCOND_VAR_H_

#include <lcl.h>
#include <pthread.h>

class LCondVar;

#include <lcl/lmutex.h>

class LCL_EXPORT LCondVar {
  CLASSNAME("LCondVar");

  pthread_cond_t cond;
  LMutex mutex;

 public:
  LCondVar ();
  virtual ~LCondVar ();

  bool wait ();
  bool timedWait ( int sec );
  void signal ();
  void broadcast ();

  LMutex & getMutex();
};

#endif
