#ifndef _LCL_FDLAYER_COMMON_H_
#define _LCL_FDLAYER_COMMON_H_

#include <lcl.h>

class LCL_EXPORT LFDManagerException : public LBasicException {

 public:

  enum ErrorCode { invalidFD };
  LFileDescriptor fd;

  LFDManagerException ( const char * _filename, unsigned long _line, ErrorCode _rc, LFileDescriptor _fd );

  virtual void log ( ) const;

 protected:

  ErrorCode rc;

};


#endif
