/* ****************************************************************************
   |      File: lhasiter.h
   |      Contains: base class definition for LHashIterator
   |      Created: 07.08.1999
   |      Last Changed: 07.08.1999
   |      Version: 0.0
   |         
   |      ToDo: + just started
   |
   ************************************************************************* */

#ifndef _L_HASHITERATOR_H_
#define _L_HASHITERATOR_H_

#include <lcl.h>

template <class Key, class Value >
class LCL_EXPORT LHashIterator {
 protected:
 public:
  virtual void applyTo ( Key & key, Value & value ) = 0;
};

template <class Key, class Value >
class LCL_EXPORT LConstHashIterator {
 protected:
 public:
  virtual void applyTo ( Key const & item, Value const & value )  = 0;
};


#endif
