#ifndef _LSIGNALSET_H_
#define _LSIGNALSET_H_

#include <lcl/lvcs.h>

#include <signal.h>

class LCL_EXPORT LSignalSet {
  LVCS_DECLARE;
 protected:
  sigset_t set;

 public:

  LSignalSet ();
  LSignalSet ( LSignalSet const & p1 );

  void empty ();
  void fill ();

  bool isMember ( int ) const;
  void add ( int );
  void remove ( int );

  operator sigset_t * ();
  operator sigset_t const * () const;
};

#endif
