/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#ifndef _LCL_LSTRING_BASE_H_
#define _LCL_LSTRING_BASE_H_

#include <lcl.h>

#include <lcl/lvcs.h>

class LCL_EXPORT LStringBase {
  LVCS_DECLARE;
 protected:
  void fitMem ( luint32 top );

  static const luint16 C_block_size;

  luint32 ptr_space; //!< The number of bytes allocated
  char * string_ptr; //!< The pointer to our master string

  void clear ();

 public:
  LStringBase ();
  virtual ~LStringBase ();  
};

LCL_EXPORT char * lcl_strdup ( char const * str );
LCL_EXPORT void * lcl_realloc ( void * ptr, unsigned long size );


#ifdef HAVE_MEMMOVE
#define lcl_memmove memmove
#else
LCL_EXPORT void * lcl_memmove ( void * dest, const void * src, size_t n )
#endif

#endif
