#!sh

VERSION=$1
USER=`whoami`
HOST=`hostname`
DATE=`date`

touch build.cnt
BUILD=`cat build.cnt`
BUILD=${BUILD:-1}
BUILD=`expr $BUILD + 1`
echo $BUILD >build.cnt

echo "#ifndef _MY_BUILD_INFO_H_" > lcl_my_build_info.h
echo "#define _MY_BUILD_INFO_H_" >> lcl_my_build_info.h

echo "#include <lapp.h>" >> lcl_my_build_info.h

echo "#define MY_BUILD_VERSION \"$VERSION\"" >> lcl_my_build_info.h
echo "#define MY_BUILD_HOST \"$USER@$HOST\"" >> lcl_my_build_info.h
echo "#define MY_BUILD_DATE \"$DATE\"" >> lcl_my_build_info.h
echo "#define MY_BUILD $BUILD" >> lcl_my_build_info.h

echo "#define INIT_MY_VERSION theApp.initMyVersion(MY_BUILD_VERSION,MY_BUILD_DATE,MY_BUILD_HOST,MY_BUILD)" >> lcl_my_build_info.h

echo "#endif" >> lcl_my_build_info.h