/* -*-mode: c++; coding: iso-8859-2-unix; -*- */

#include <lcl/lpoint.h>

LPoint::LPoint () :
  m_x ( 0 ),
  m_y ( 0 )
{
}

LPoint::LPoint ( LPoint const & p1 ) :
  m_x ( p1.m_x ),
  m_y ( p1.m_y )
{
}

LPoint::LPoint ( lint32 x, lint32 y ) :
  m_x ( x ),
  m_y ( y )
{
}

LPoint &  LPoint::operator = ( LPoint const & p1 )
{
  m_x = p1.m_x;
  m_y = p1.m_y;
  return *this;
}

bool LPoint::operator == ( LPoint const & p1 )
{
  return (p1.m_x == m_x) && (p1.m_y == m_y);
}

lint32 LPoint::x () const
{
  return m_x;
}

lint32 LPoint::y () const
{
  return m_y;
}

void LPoint::x ( lint32 x )
{
  m_x = x;
}

void LPoint::y ( lint32 y )
{
  m_y = y;
}

void LPoint::set ( lint32 x, lint32 y )
{
  m_x = x;
  m_y = y;
}
