#include <lcl/lstrstream.h>

LStrStream::LStrStream () :
  position ( 0 )
{
}

LStrStream::LStrStream ( LString const & _buffer ) :
  buffer ( _buffer ),
  position ( 0 )
{
}

bool LStrStream::isDataAvailable () const
{
  return position < buffer.length();
}

int LStrStream::read ( char & c )
{
  if ( isDataAvailable() ) {

    c = buffer[position];
    position++;
    return 1;

  } else {

    throw LEndOfStreamException ( *this, 0 );
    MSTHROW(int);

  }
}
/*
bool LStrStream::mayWrite ()
{
  return true;
}
*/

int LStrStream::write ( char c )
{
  buffer += c;
  return 1;
}

LString LStrStream::getBuffer () const
{
  return buffer;
}
