#include <lcl/lfallback_mutex.h>

#include <lcl/lthread.h>
#include <lcl/lapp.h>



__lcl_fallbackGuardMutex mutex;
char buffer[25];
luint32 mcounter = 0;

void runner2 ( void )
{
  luint32 counter = 1;
  while ( true )
    {
      if ( mutex.trylock () )
	{
	  
	  int pos = rand() % sizeof(buffer);

	  if ( pos > sizeof(buffer) )
	    std::cout << "P" << std::flush;

	  if ( (counter % 1000) == 0 )
	    std::cout << "," << std::flush;
	  counter++;
	  
	  if ( buffer[pos] )
	    std::cout << "Y[" << pos << "]" << std::flush;
	  
	  buffer[pos] = 1;	 

	  lcl_usleep ( 1000 );	  

	  buffer[pos] = 0;
	  
	  mutex.unlock ();
	}
      lcl_usleep ( 1000 );
    }
}

void runner1 ( void )
{ 
  luint32 counter = 1;
  while ( true )
    {
      int level = (rand() % 10)+1;
      for ( int i = level; i!=0; i-- )
	{
	  mutex.lock ();
	}        

      int pos = rand() % sizeof(buffer);
      if ( pos > sizeof(buffer) )
	std::cout << "P" << std::flush;

      if ( (counter % 1000) == 0 )
	std::cout << "." << std::flush;
      counter++;

      if ( ( mcounter % 1000 ) == 0 )
	std::cout << "M" << std::flush;
      mcounter++;

      if ( buffer[pos] )
	std::cout << "X[" << pos << "]" << std::flush;
      
      buffer[pos] = 1;

      lcl_usleep ( 1000 );
      
      buffer[pos] = 0;
      
      for ( int i = level; i!=0; i-- )
	{
	  mutex.unlock ();
	}
    }
}

int main ( int argc, char * argv [] )
{
  theApp.init ( argc, argv );
  theApp.processLCLParameters ();

  memset ( buffer, 0, sizeof(buffer) );

  LFuncThreadFn runner1Fn ( runner1 );
  LFuncThreadFn runner2Fn ( runner2 );

  for ( int i = 0; i<5; i++ )
    {
      LThread tco ( &runner1Fn );
      tco.start ();
    }

  for ( int i = 0; i<5; i++ )
    {
      LThread tco ( &runner2Fn );
      tco.start ();
      }

  while ( true )
    lcl_sleep ( 1 );
}
