#include <lcl/linterpreter.h>
#include <lcl.h>

_BASE_COMMAND_DEFINE(process_system);

#include <lcl/linterpreter_plugin.h>


class ProcessCommands_Factory : public LInterpreter_PlugIn_Factory {
protected:
public:
  virtual void registerAll ( LInterpreter & inter );
};

void ProcessCommands_Factory::registerAll ( LInterpreter & inter )
{
  _BASE_COMMAND_REGISTER(process_system);
}

_BASE_COMMAND_CONSTRUCTOR_ALT (process_system, "system" )
_BASE_COMMAND_BODY_START (process_system)
{

  LString cmd;
  int i;
  for ( i = 0; i<args.getSize(); i++ )
    {
      if ( i )
	cmd += " ";
      cmd += args[i].asString();
    }

  system ( cmd );

  return "";
}    
_BASE_COMMAND_BODY_END ( process_system );


LCL_PLUGIN_INIT("Process", "Process commands for LCL interpreter", 7);
LCL_PLUGIN_FACTORY(ProcessCommands_Factory);
